<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>ISecureElement</name>
            <instance>SIM1</instance>
            <instance>eSE1</instance>
        </interface>
        <fqname>@1.0::ISecureElement/SIM1</fqname>
        <fqname>@1.0::ISecureElement/eSE1</fqname>
    </hal>
</manifest>
